#include <QGuiApplication>
#include <QQuickView>
#include <sailfishapp.h>
#include "browsedirectoryitem.h"
#include "discoveryitem.h"
#include "streamcontrolitem.h"
#include "xinemacontrolitem.h"

int main(int argc, char **argv)
{
	QGuiApplication *app = SailfishApp::application(argc, argv);
	qmlRegisterType<BrowseDirectoryItem>("fi.mikkosoft.xinema", 0, 1, "BrowseDirectory");
	qmlRegisterType<DiscoveryItem>("fi.mikkosoft.xinema", 0, 1, "Discovery");
	qmlRegisterType<StreamControlItem>("fi.mikkosoft.xinema", 0, 1, "StreamControl");
	qmlRegisterType<XinemaControlItem>("fi.mikkosoft.xinema", 0, 1, "XinemaControl");
	QQuickView *view = SailfishApp::createView();
	view->setSource(SailfishApp::pathTo("qml/main.qml"));
	view->show();
	return app->exec();
}
